<template>
  <div class="product-insights-general-content">
    <div v-if="getTranslatedProperty(product, 'name')"
         class="product-insights-row">
      <div class="product-insights-label">{{ $t('Title') }}</div>
      <div class="product-insights-value">{{ getTranslatedProperty(product, 'name') }}</div>
    </div>
    <div v-if="product.productNumber"
         class="product-insights-row">
      <div class="product-insights-label">{{ $t('Product number') }}</div>
      <div class="product-insights-value">{{ product.productNumber }}</div>
    </div>
    <div v-if="product.ean"
         class="product-insights-row">
      <div class="product-insights-label">{{ $t('EAN') }}</div>
      <div class="product-insights-value">{{ product.ean }}</div>
    </div>
    <div v-if="getTranslatedProperty(product, 'description')"
         class="product-insights-row">
      <div class="product-insights-label">{{ $t('Description') }}</div>
      <div class="product-insights-value" v-html="getTranslatedProperty(product, 'description')"></div>
    </div>
    <div class="product-insights-row">
      <div class="product-insights-label">{{ $t('Product promotion') }}</div>
      <div class="product-insights-value">
        <span v-if="product.markAsTopseller" class="is-true">{{ $t('yes') }}</span>
        <span v-else class="is-false">{{ $t('no') }}</span>
      </div>
    </div>
    <div v-if="productOrdersCount"
         class="product-insights-row">
      <div class="product-insights-label">{{ $t('Order count in the last 12 months') }}</div>
      <div class="product-insights-value">
        {{ productOrdersCount }}
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { onMounted } from "@vue/composition-api";
import { useProductInsights } from "../../../logic/composables/widgets/useProductInsights";
import { getTranslatedProperty } from "@shopware-pwa/helpers";

export default {
  name: "InsightsGeneral",
  components: {},
  props: {
    product: {
      type: [Object,Array,String],
      default: null,
    },
  },
  setup(props, {}) {
    const {
      loadProductOrdersCount,
      productOrdersCount
    } = useProductInsights(props.product);

    onMounted(async () => {
      await loadProductOrdersCount();
    })

    return {
      loadProductOrdersCount,
      productOrdersCount,
      getTranslatedProperty
    }
  }
}
</script>

<style lang="scss" scoped>
@import "@/assets/scss/variables";
</style>
